Subject: [TOOLS-DEVELOPMENT] Fwd: Re: Need volunteer for continued support of xml2rfc

From: Russ Housley <[email-masked]>
Date: Wed, 13 Jan 2010 10:23:09 -0500

No one on this list stepped forward to maintain xml2rfc, so I took the 
request to the IETF Discussion list.  Two people contacted me.  One is 
willing to keep the tcl code running, and the other is interested in 
rewriting xml2rfc in a different language.  I've asked the pair to work 
together.  The next step is for them to contact Marshall Rose.

Russ

-------- Original Message --------
Subject: Re: Need volunteer for continued support of xml2rfc
Date: Wed, 13 Jan 2010 10:19:22 -0500
From: Russ Housley <[email-masked]>
To: John R. Levine <[email-masked]>, [email-masked]

Please contact Marshall Rose and see what it takes for you guys to take
over xml2rfc.  Please let me know how it goes.

Russ

> From: Marshall Rose <[email-masked]>
> To: [email-masked]
> Date: Thu, 17 Dec 2009 14:40:35 -0800
> Cc: [email-masked], Julian Reschke <[email-masked]>, Carl
> Malamud <[email-masked]>
> Subject: continued support of xml2rfc
>
> greetings.
>
> the 10 year anniversary of xml2rfc arrived this summer. it is fair to
> say that i am no longer interested in supporting it. however, i am
> informed that there are substantive number of incremental changes to
> the boilerplate forthcoming.
>
> this may be problematic given that a substantive number of I-D (and
> subsequent RFC) submissions are made using the tool.
>
> it is, of course, the trust's prerogative to make changes to the
> boilerplate whenever you want; however, in the absence of changes to
> the tool, to do so will dramatically increase manual processing of
> submissions, reducing productivity and introducing errors.
>
> accordingly, i suggest that you identify alternative technical
> resources to maintain xml2rfc, and that those resources are in place
> prior to any change of the boilerplate.
>
> /mtr